 // File Picker and File Manager

 .filemanager a,
 .file-picker a,
 .filemanager a:hover,
 .file-picker a:hover {
    color: #555555;
    text-decoration: none;
}
.filemanager input[type="text"],
.file-picker input[type="text"] {
    width: 265px;
}
.filemanager .fp-license,
.file-picker .fp-setlicense {
    td {
        max-width: 265px;
    }
    select {
        max-width: 100%;
    }
}
.fp-content-center {
    height: 100%;
    width: 100%;
    vertical-align: middle;
    .form-horizontal {
        margin-bottom: 30px;
    }
}
.fp-content-hidden {
    visibility: hidden;
}
// Dialogue (File Picker and File Manager)
.yui3-panel-focused {
    outline: none;
}
#filesskin .yui3-panel-content {
    padding-bottom: 20px;
    display: inline-block;
}
.fp-panel-button {
    background: #fff;
    padding: 3px 20px 2px 20px;
    text-align: center;
    margin: 10px;
    border-radius: 10px;
    display: inline-block;
    box-shadow: 2px 2px 3px .1px #999;
}

.moodle-dialogue-base .filepicker .moodle-dialogue-wrap .moodle-dialogue-bd {
    padding: 0px;
}

// File Picker layout
#filesskin .file-picker.fp-generallayout {
    width: 859px;
    background: #FFFFFF;
    border-radius: 10px;
    border: 1px solid #CCCCCC;
    position: relative;
}
.file-picker .fp-repo-area {
    width: 32%;
    overflow: auto;
    float: left;
    height: 470px;
    border-right: 1px solid @modal-header-border-color;
}
.file-picker .fp-repo-items {
    float: left;
    width: 68%;
}
.file-picker .fp-navbar {
    background: #F2F2F2;
    border-bottom: 1px solid @modal-header-border-color;
    min-height: 40px;
}
.file-picker .fp-navbar .fp-viewbar {
    margin: 4px;
}

.file-picker .fp-content {
    background: @modal-content-bg;
    clear: both;
    padding:15px;
    overflow: auto;
}
.filepicker.moodle-dialogue-fullscreen .file-picker .fp-content {
    width: 100%;
}
.file-picker .fp-content-loading {
    height: 100%;
    width: 100%;
    text-align: center;
}
.file-picker .fp-content .fp-object-container {
    width: 98%;
    height: 98%;
}
// Repositories on fp-repo-area (File Picker only)
.file-picker .fp-list {
    list-style-type: none;
    padding: 0;
    float: left;
    width: 100%;
    margin: 0;
}
.file-picker .fp-list .fp-repo a {
    display: block;
    padding: .5em .7em;
}
.file-picker .fp-list .fp-repo.active {
    background: #F2F2F2;
}
.file-picker .fp-list .fp-repo-icon {
    padding: 0 7px 0 5px;
    width: auto;
    height: 16px;
}
// Tools, Path & View on fp-navbar (File Picker and File Manager)
.fp-toolbar {
    float: left;
}
.fp-toolbar.empty {
    display: none;
}
.fp-toolbar .disabled {
    display: none;
}
.fp-toolbar div {
    display: block;
    float: left;
    margin: 0.2em 0.3em 0.2em 0em;
}
.fp-toolbar img {
    vertical-align: -15%;
    margin-right: 5px;
}
.fp-toolbar .fp-tb-search {
    width: 235px;
    height: 27px;
}
.fp-toolbar .fp-tb-search input {
    background: @modal-content-bg url('[[pix:a/search]]') no-repeat 7px 7px;
    padding: 2px 6px 1px 27px;
    width: 200px;
    height: 27px;
    border: 1px solid @modal-header-border-color;
}
.fp-viewbar {
    float: right;
    height: 30px;
    border: 1px solid @modal-header-border-color;
    border-bottom: 1px solid @modal-header-border-color;
    border-radius: 4px;
    background: @modal-content-bg;
}
.fp-repo-items fp-viewbar {
    margin: 4px;
}

.fp-viewbar a {
    width: 30px;
    height: 30px;
    border-right: 1px solid @modal-header-border-color;
    display: block;
    float:left;
}
.fp-viewbar a.checked:hover,
.fp-viewbar a:hover {
    background-image: radial-gradient(ellipse at center, #ffffff 60%,#dfdfdf 100%);
    background-color: #ebebeb;
}

.fp-viewbar a.checked,
.fp-viewbar a:active {
    background-image: radial-gradient(ellipse at center, #ffffff 40%,#dfdfdf 100%);
    background-color: #dfdfdf;
}

.fp-viewbar a.fp-vb-icons {
    border-radius: 4px 0 0 4px;
}
.fp-viewbar a.fp-vb-tree {
    border-right: 0;
    border-radius: 0 4px 4px 0;
}
.fp-viewbar a img {
    margin: 7px;
    vertical-align: text-bottom;
}

.fp-viewbar.disabled a {
    opacity: .45;
    background: none;
    cursor: default;
}

.file-picker .fp-clear-left {
    clear: left;
}
.fp-pathbar.empty {
    display: none;
}
.fp-pathbar .fp-path-folder {
    background: url('[[pix:theme|fp/path_folder]]') 0 0 no-repeat;
    /*rtl:raw:
    background-image: url('[[pix:theme|fp/path_folder_rtl]]');
    */
    width: 27px;
    height: 12px;
    margin-left: 4px;
}
.fp-pathbar .fp-path-folder-name {
    margin-left: 32px;
    line-height: 20px;
}
// Icon view (File Picker and File Manager)
.fp-iconview .fp-file {
    float: left;
    text-align: center;
    position: relative;
    margin: 10px 10px 35px;
}
.fp-iconview .fp-thumbnail {
    min-width: 110px;
    min-height: 110px;
    line-height: 110px;
    text-align: center;
    border: 1px solid @modal-content-bg;
    display: block;
}
.fp-iconview .fp-thumbnail img {
    border: 1px solid @table-border-color;
    padding: 3px;
    vertical-align: middle;
    box-shadow: 1px 1px 2px 0 rgba(0,0,0,0.2);
}
.fp-iconview .fp-thumbnail:hover {
    background: @modal-content-bg;
    border: 1px solid @table-border-color;
    box-shadow: inset 0 0 10px 0px rgba(0,0,0,0.2);
}
.fp-iconview .fp-filename-field {
    height: 33px;
    word-wrap: break-word;
    overflow: hidden;
    position: absolute;
}
.fp-iconview .fp-filename-field:hover {
    overflow: visible;
    z-index: 1000;
}
.fp-iconview .fp-filename-field .fp-filename {
    background: @modal-content-bg;
    padding-top: 5px;
    padding-bottom: 12px;
    min-width: 112px;
}
// Table view (File Picker only)
.file-picker .yui3-datatable table {
    border: 0 solid #BBBBBB;
    width: 100%;
}
#filesskin .file-picker .yui3-datatable-header {
    background: @modal-content-bg;
    border-bottom: 1px solid #CCCCCC;
    border-left: 0 solid @modal-content-bg;
    color: @text-color;
}
#filesskin .file-picker .yui3-datatable-odd .yui3-datatable-cell {
    background-color: #F6F6F6;
    border-left: 0 solid #F6F6F6;
}
#filesskin .file-picker .yui3-datatable-even .yui3-datatable-cell {
    background-color: @modal-content-bg;
    border-left: 0 solid @modal-content-bg;
}
// Tree view (File Manager only)

// first or middle sibling, no children
.file-picker .ygtvtn,
.filemanager .ygtvtn {
    /*rtl:remove*/
    background: url('[[pix:moodle|y/tn]]') 0 0 no-repeat;
    /*rtl:raw:
    background: url('[[pix:moodle|y/tn_rtl]]') 0 0 no-repeat;
    */
    width: 17px;
    height: 22px;
}
// first or middle sibling, collapsable
.file-picker .ygtvtm,
.filemanager .ygtvtm {
    background: url('[[pix:moodle|y/tm]]') 0 10px no-repeat;
    width: 13px;
    height: 12px;
    cursor: pointer;
}
// first or middle sibling, collapsable, hover
.file-picker .ygtvtmh,
.filemanager .ygtvtmh {
    background: url('[[pix:moodle|y/tm]]') 0 10px no-repeat;
    width: 13px;
    height: 12px;
    cursor: pointer;
}
// first or middle sibling, expandable
.file-picker .ygtvtp,
.filemanager .ygtvtp {
    /*rtl:remove*/
    background: url('[[pix:moodle|y/tp]]') 0 10px no-repeat;
    /*rtl:raw:
    background: url('[[pix:moodle|y/tp_rtl]]') 2px 10px no-repeat;
    */
    width: 13px;
    height: 12px;
    cursor: pointer;
}
// first or middle sibling, expandable, hover
.file-picker .ygtvtph,
.filemanager .ygtvtph {
    background: url('[[pix:moodle|y/tp]]') 0 10px no-repeat;
    width: 13px;
    height: 22px;
    cursor: pointer;
}
// last sibling, no children
.file-picker .ygtvln,
.filemanager .ygtvln {
    /*rtl:remove*/
    background: url('[[pix:moodle|y/ln]]') 0 0 no-repeat;
    /*rtl:raw:
    background: url('[[pix:moodle|y/ln_rtl]]') 0 0 no-repeat;
    */
    width: 17px;
    height: 22px;
}
// Last sibling, collapsable
.file-picker .ygtvlm,
.filemanager .ygtvlm {
    background: url('[[pix:moodle|y/lm]]') 0 10px no-repeat;
    width: 13px;
    height: 12px;
    cursor: pointer;
}
// Last sibling, collapsable, hover
.file-picker .ygtvlmh,
.filemanager .ygtvlmh {
    background: url('[[pix:moodle|y/lm]]') 0 10px no-repeat;
    width: 13px;
    height: 12px;
    cursor: pointer;
}
// Last sibling, expandable
.file-picker .ygtvlp,
.filemanager .ygtvlp {
    /*rtl:remove*/
    background: url('[[pix:moodle|y/lp]]') 0 10px no-repeat;
    /*rtl:raw:
    background: url('[[pix:moodle|y/lp_rtl]]') 2px 10px no-repeat;
    */
    width: 13px;
    height: 12px;
    cursor: pointer;
}
// Last sibling, expandable, hover
.file-picker .ygtvlph,
.filemanager .ygtvlph {
    /*rtl:remove*/
    background: url('[[pix:moodle|y/lp]]') 0 10px no-repeat;
    /*rtl:raw:
    background: url('[[pix:moodle|y/lp_rtl]]') 2px 10px no-repeat;
    */
    width: 13px;
    height: 12px;
    cursor: pointer;
}
// Loading icon
.file-picker .ygtvloading,
.filemanager .ygtvloading {
    background: transparent url('[[pix:moodle|y/loading]]') 0 0 no-repeat;
    width: 16px;
    height: 22px;
}
// the style for the empty cells that are used for rendering the depth of the node
.file-picker .ygtvdepthcell,
.filemanager .ygtvdepthcell {
    background: url('[[pix:moodle|y/vline]]') 0 0 no-repeat;
    width: 17px;
    height: 32px;
}
.file-picker .ygtvblankdepthcell,
.filemanager .ygtvblankdepthcell {
    width: 17px;
    height: 22px;
}
a.ygtvspacer:hover {
    color: transparent;
    text-decoration: none;
}
.ygtvlabel,
.ygtvlabel:link,
.ygtvlabel:visited,
.ygtvlabel:hover {
    background-color: transparent;
    cursor: pointer;
    margin-left: 2px;
    text-decoration: none;
}
.file-picker .ygtvfocus,
.filemanager .ygtvfocus {
    background-color: #EEEEEE;
}
.fp-filename-icon {
    margin-top: 10px;
    display: block;
    position: relative;
}
.fp-icon {
    float: left;
    margin-top: -7px;
    width: 24px;
    height: 24px;
    margin-right: 10px;
    text-align: center;
    line-height: 24px;
}
.fp-icon img {
    max-height: 24px;
    max-width: 24px;
    vertical-align: middle;
}
.fp-filename {
    padding-right: 10px;
}
// Repositories Login on fp-content (File Picker only)

.file-picker .fp-login-form {
    height: 100%;
}
.file-picker .fp-login-form p {
    text-align: center;
    margin-top: 3em;
}
.file-picker .fp-login-form input[type="checkbox"]{
    width: 15px;
    height: 15px;
}
// Upload on fp-content (File Picker only)
.file-picker .fp-upload-form {
    height: 100%;
    width: 100%;
}
.file-picker .fp-upload-form table {
    margin: 0 auto;
}
// File exists dialogue on Upload (File Picker only)
.file-picker.fp-dlg {
    text-align: center;
}
.file-picker.fp-dlg .fp-dlg-text {
    padding: 30px 20px 10px;
}
.file-picker.fp-dlg .fp-dlg-buttons {
    margin: 0 20px;
}
// Error dialogue on Upload (File Picker only)
.file-picker.fp-msg {
    text-align: center;
}
.file-picker.fp-msg .fp-msg-text {
    padding: 40px 20px 10px 20px;
    min-width: 200px;
    max-width: 500px;
    max-height: 300px;
    overflow: auto;
}
.file-picker.fp-msg.fp-msg-error .fp-msg-text {
    padding: 40px 20px 10px 20px;
}
// Error on fp-content (File Picker only)
.file-picker .fp-content-error {
    height: 100%;
    width: 100%;
    text-align: center;
}
.file-picker .fp-content-error .fp-error {
    height: 100%;
    width: 100%;
    vertical-align: middle;
    padding: 40px 20px 10px 20px;
}
// Lazy loading on fp-content (File Picker only)
.file-picker .fp-nextpage {
    clear: both;
}
.file-picker .fp-nextpage .fp-nextpage-loading {
    display: none;
}
.file-picker .fp-nextpage.loading .fp-nextpage-link {
    display: none;
}
.file-picker .fp-nextpage.loading .fp-nextpage-loading {
    display: block;
    text-align: center;
    height: 100px;
    padding-top: 50px;
}
// Select Dialogue (File Picker and File Manager)
.fp-select form {
    padding: 20px 20px 0;
}
.fp-select .fp-select-loading {
    text-align: center;
    margin-top: 20px;
}
.fp-select .fp-hr {
    clear: both;
    height: 1px;
    background-color: @modal-content-bg;
    border-bottom: 1px solid #BBBBBB;
    width: auto;
    margin: 10px 0;
}
.fp-select table {
    padding: 0 0 10px;
}
.fp-select table .mdl-right {
    min-width: 84px;
}
.fp-select .fp-reflist .mdl-right {
    vertical-align: top;
}
.fp-select .fp-select-buttons {
    float: right;
}
.fp-select .fp-info {
    display: block;
    clear: both;
    padding: 1px 20px 0;
}
.fp-select .fp-thumbnail {
    float: left;
    min-width: 110px;
    min-height: 110px;
    line-height: 110px;
    text-align: center;
    margin: 10px 20px 0 0;
    background: @modal-content-bg;
    border: 1px solid #ddd;
    box-shadow: inset 0 0 10px 0 rgba(0,0,0,0.2);
}
.fp-select .fp-thumbnail img {
    border: 1px solid #DDDDDD;
    padding: 3px;
    vertical-align: middle;
    margin: 10px;
}
.fp-select .fp-fileinfo {
    display: inline-block;
    margin-top: 10px;
}
.file-picker.fp-select .fp-fileinfo {
    max-width: 240px;
}
.fp-select .fp-fileinfo div {
    padding-bottom: 5px;
}
.file-picker.fp-select .uneditable {
    display: none;
}
.file-picker.fp-select .fp-select-loading {
    display: none;
}
.file-picker.fp-select.loading .fp-select-loading {
    display: block;
}
.file-picker.fp-select.loading form {
    display: none;
}
.fp-select .fp-dimensions.fp-unknown {
    display: none;
}
// File Manager
.filemanager-loading{
    display: none;
}
.jsenabled .filemanager-loading{
    display: block;
    margin-top: 100px;
}
.filemanager.fm-loading .filemanager-toolbar,
.filemanager.fm-loading .fp-pathbar,
.filemanager.fm-loading .filemanager-container,
.filemanager.fm-loaded .filemanager-loading,
.filemanager.fm-maxfiles .fp-btn-add,
.filemanager.fm-maxfiles .dndupload-message,
.filemanager.fm-noitems .fp-btn-download,
.filemanager .fm-empty-container,
.filemanager.fm-noitems .filemanager-container .fp-content {
    display: none;
}
.filemanager .fp-img-downloading {
    display: none;
    padding-top: 7px;
}
.filemanager .filemanager-updating {
    display: none;
    text-align: center;
}
.filemanager.fm-updating .filemanager-updating {
    display: block;
    margin-top: 37px;
}
.filemanager.fm-updating .fm-content-wrapper,
.filemanager.fm-nomkdir .fp-btn-mkdir,
.fitem.disabled .filemanager .filemanager-toolbar,
.fitem.disabled .filemanager .fp-pathbar,
.fitem.disabled .filemanager .fp-restrictions,
.fitem.disabled .filemanager .fm-content-wrapper {
    display: none;
}
// File Manager layout
.fp-restrictions{
    text-align: right;
    font-size: @font-size-small;
    font-color: @text-muted;
}
.filemanager .fp-navbar {
    background: rgba(187, 187, 187, 0.2);
    border:1px solid #eee;
    padding:5px;
}
.filemanager-toolbar{
    overflow: hidden;
}
.fp-pathbar {
    border-top: 1px solid #BBBBBB;
    padding: 5px 8px 1px;
    min-height: 20px;
}

.file-picker .fp-toolbar {
    padding: 4px;
}

.fp-toolbar .fp-btn-add,
.fp-toolbar .fp-btn-download,
.fp-toolbar .fp-btn-mkdir,
.fp-toolbar .fp-tb-help,
.fp-toolbar .fp-tb-manage,
.fp-toolbar .fp-tb-logout,
.fp-toolbar .fp-tb-refresh
{
    background: white;
    width: 30px;
    height: 30px;
}

.fp-toolbar a {
    &:hover {
        background-color: darken(#fff, 5%);
        color: @text-color;
    }

    &:active {
        background-color: darken(#fff, 10%);
        color: @text-color;
    }
}

.fp-btn-add a,
.fp-btn-download a,
.fp-btn-mkdir a,
.fp-tb-help a,
.fp-tb-manage a,
.fp-tb-logout a,
.fp-tb-refresh a
{
    display: block;
    width: 30px;
    height: 30px;
}

.fp-btn-add img,
.fp-btn-download img,
.fp-btn-mkdir img,
.fp-tb-help img,
.fp-tb-manage img,
.fp-tb-logout img,
.fp-tb-refresh img {
    margin: 7px;
}

.filemanager .fp-pathbar.empty {
    display: none;
}
.filepicker-filelist,
.filemanager-container {
    background: #FFFFFF;
    clear: both;
    overflow: auto;
    border: 1px solid #BBBBBB;
    min-height: 140px;
    position: relative;
}
.filemanager .fp-content{
    overflow: auto;
    max-height: 472px;
    min-height: 157px;
}
.filemanager-container,
.filepicker-filelist {
    overflow: hidden;
}
.fitem.disabled .filepicker-filelist,
.fitem.disabled .filemanager-container {
    background-color: #EBEBE4;
}
.fitem.disabled .fp-btn-choose {
    .text-muted
}
.fitem.disabled .filepicker-filelist .filepicker-filename {
    display: none;
}
// Icon view (File Manager only)
.fp-iconview .fp-reficons1 {
    position: absolute;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
}
.fp-iconview .fp-reficons2 {
    position: absolute;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
}
.fp-iconview .fp-file.fp-hasreferences .fp-reficons1 {
    background: url('[[pix:theme|fp/link]]') no-repeat;
    background-position: bottom right;
}
.fp-iconview .fp-file.fp-isreference .fp-reficons2 {
    background: url('[[pix:theme|fp/alias]]') no-repeat;
    background-position: bottom left;
}
.filemanager .fp-iconview .fp-file.fp-originalmissing .fp-thumbnail img {
    display: none;
}
.filemanager .fp-iconview .fp-file.fp-originalmissing .fp-thumbnail {
    background: url([[pix:s/dead]]) no-repeat;
    background-position: center center;
}
// Table view (File Manager only)
.filemanager .yui3-datatable table {
    border: 0 solid #BBBBBB;
    width: 100%;
}
.filemanager .yui3-datatable-header {
    background: #FFFFFF!important;
    border-bottom: 1px solid #CCCCCC!important;
    border-left: 0 solid #FFFFFF!important;
    color: #555555!important;
}
.filemanager .yui3-datatable-odd .yui3-datatable-cell {
    background-color: #F6F6F6!important;
    border-left: 0 solid #F6F6F6;
}
.filemanager .yui3-datatable-even .yui3-datatable-cell {
    background-color: #FFFFFF!important;
    border-left: 0 solid #FFFFFF;
}
.filemanager .fp-filename-icon.fp-hasreferences .fp-reficons1{
    background: url('[[pix:theme|fp/link_sm]]') no-repeat 0 0;
    height: 100%;
    width: 100%;
    position: absolute;
    top: 8px;
    left: 17px;
    z-index: 1000;
}
.filemanager .fp-filename-icon.fp-isreference .fp-reficons2 {
    background: url('[[pix:theme|fp/alias_sm]]') no-repeat 0 0;
    height: 100%;
    width: 100%;
    position: absolute;
    top: 9px;
    left: -6px;
    z-index: 1001;
}
// Folder Context Menu (File Manager only)
.filemanager .fp-contextmenu {
    display: none;
}
.filemanager .fp-iconview .fp-folder.fp-hascontextmenu .fp-contextmenu {
    display: block;
    position: absolute;
    right: 7px;
    bottom: 5px;
}
.filemanager .fp-treeview .fp-folder.fp-hascontextmenu .fp-contextmenu,
.filemanager .fp-tableview .fp-folder.fp-hascontextmenu .fp-contextmenu {
    display: inline;
    position: absolute;
    left: 14px;
    margin-right: -20px;
    top: 6px;
}

// Drag and drop support (filemanager and filepicker form elements)
.filepicker-filelist .filepicker-container,
.filemanager.fm-noitems .fm-empty-container {
    display: block;
    position: absolute;
    top: 10px;
    bottom: 10px;
    left: 10px;
    right: 10px;
    border: 2px dashed #BBBBBB;
    padding-top: 85px;
    text-align: center;
}
.filepicker-filelist .dndupload-target,
.filemanager-container .dndupload-target {
    background: #FFFFFF;
    position: absolute;
    top: 10px;
    bottom: 10px;
    left: 10px;
    right: 10px;
    border: 2px dashed #fb7979;
    padding-top: 85px;
    text-align: center;
    box-shadow: 0px 0 0 10px #fff;
}
.filepicker-filelist.dndupload-over .dndupload-target,
.filemanager-container.dndupload-over .dndupload-target {
    background: #FFFFFF;
    position: absolute;
    top: 10px;
    bottom: 10px;
    left: 10px;
    right: 10px;
    border: 2px dashed #6c8cd3;
    padding-top: 85px;
    text-align: center;
}
.dndupload-message {
    display: none;
}
.dndsupported .dndupload-message {
    display: inline;
}
.dnduploadnotsupported-message {
    display: none;
}
.dndnotsupported .dnduploadnotsupported-message {
    display: inline;
}
.dndupload-target {
    display: none;
}
.dndsupported .dndupload-ready .dndupload-target {
    display: block;
}
.dndupload-uploadinprogress {
    display: none;
    text-align: center;
}
.dndupload-uploading .dndupload-uploadinprogress {
    display: block;
}
.dndupload-arrow {
    background: url([[pix:theme|fp/dnd_arrow]]) center no-repeat;
    width: 100%;
    height: 80px;
    position: absolute;
    top: 5px;
}
.fitem.disabled .filepicker-container,
.fitem.disabled .fm-empty-container {
    display: none;
}
.dndupload-progressbars {
    padding: 10px;
    display: none;
}
.dndupload-inprogress .dndupload-progressbars {
    display: block;
}
.dndupload-inprogress .fp-content {
    display: none;
}
.filemanager.fm-noitems .dndupload-inprogress .fm-empty-container {
    display: none;
}
.filepicker-filelist.dndupload-inprogress .filepicker-container {
    display: none;
}
.filepicker-filelist.dndupload-inprogress a {
    display: none;
}
// Select Dialogue (File Manager only)
.filemanager.fp-select .fp-select-loading {
    display: none;
}
.filemanager.fp-select.loading .fp-select-loading {
    display: block;
}
.filemanager.fp-select.loading form {
    display: none;
}
.filemanager.fp-select.fp-folder .fp-license,
.filemanager.fp-select.fp-folder .fp-author,
.filemanager.fp-select.fp-file .fp-file-unzip,
.filemanager.fp-select.fp-folder .fp-file-unzip,
.filemanager.fp-select.fp-file .fp-file-zip,
.filemanager.fp-select.fp-zip .fp-file-zip {
    display: none;
}
.filemanager.fp-select .fp-file-setmain,
.filemanager.fp-select .fp-file-setmain-help {
    display: none;
}
.filemanager.fp-select.fp-cansetmain .fp-file-setmain,
.filemanager.fp-select.fp-cansetmain .fp-file-setmain-help {
    display: inline-block;
}
.filemanager .fp-mainfile .fp-filename {
    font-weight: bold;
}
.filemanager.fp-select.fp-folder .fp-file-download {
    display: none;
}
// to be implemented
.fm-operation {
    font-weight: bold;
}
.filemanager.fp-select .fp-original.fp-unknown,
.filemanager.fp-select .fp-original .fp-originloading {
    display: none;
}
.filemanager.fp-select .fp-original.fp-loading .fp-originloading {
    display: inline;
}
.filemanager.fp-select .fp-reflist.fp-unknown,
.filemanager.fp-select .fp-reflist .fp-reflistloading {
    display: none;
}
.filemanager.fp-select .fp-refcount {
    max-width: 265px;
}
.filemanager.fp-select .fp-reflist.fp-loading .fp-reflistloading {
    display: inline;
}
.filemanager.fp-select .fp-reflist .fp-value {
    background: #F9F9F9;
    border: 1px solid #BBBBBB;
    padding: 8px 7px;
    margin: 0;
    max-width: 265px;
    max-height: 75px;
    overflow: auto;
}
.filemanager.fp-select .fp-reflist .fp-value li {
    padding-bottom: 7px;
}
// Create folder dialogue (File Manager only)
.filemanager.fp-mkdir-dlg {
    text-align: center;
}
.filemanager.fp-mkdir-dlg .fp-mkdir-dlg-text {
    text-align: left;
    margin: 20px;
}
// Confirm dialogue for delete (File Manager only)
.filemanager.fp-dlg {
    text-align: center;
}
.filemanager.fp-dlg .fp-dlg-text {
    min-width: 200px;
    max-height: 300px;
    margin: 0 20px 20px;
}
// file picker search dialog
.file-picker div.bd {
    text-align: left;
}

/* file picker dropzone */
// .ffilemanager,
// .form-filemanager {
//     .fp-pathbar,
//     .fp-viewbar,
//     .fp-restrictions {
//         display: none;
//     }
// }

.ffilepicker .fp-btn-choose {
    margin: 0 0 10px;
}

.fitem_filepicker .fitemtitle label {
    margin-bottom: 0;
}

.felement.ffilepicker {
    margin-top: 0;
}

.filepicker-filelist,
.filemanager-container {
    border: 1px solid #f1f1f1;
    border-top: none;
}

.dndupload-arrow {
    cursor: pointer;
    background-image: url("[[pix:resource|icon]]");
    margin-top: 10px;
}

.filepicker-filelist .filepicker-container,
.filemanager .filemanager-container .fm-empty-container,
.filemanager-container.dndupload-over .dndupload-target,
.filemanager-container .dndupload-target {
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    padding-top: 100px;
}

.filemanager-loading {
    border: 2px dashed #bbb;
    padding-top: 45px;
    min-height: 130px;
    background-color: @body-bg;
}

.jsenabled .filemanager-loading {
    margin-top: 0;
}

/* file picker dialogue */
#filesskin .file-picker.fp-generallayout {
    width: auto !important;
}

.file-picker {
    .clearfix();
}

.fp-filename {
    font-size: small;
}

.filepicker .yui3-widget-content-expanded {
    height: 110%;
}

.file-picker .fp-navbar {
    background-color: transparent;
}

@media screen and (min-width: @screen-md-min) {
    .file-picker .fp-repo-area {
        width: 32%;
    }

    .file-picker .fp-repo-items {
        width: 68%;
    }
}

.file-picker .fp-repo-area {
    height: 475px;
}

.file-picker .fp-content {
    height: 400px;
}

.repository_upload,
.repository_flickr_public,
.repository_recent {
    &.file-picker .fp-content {
        height: 435px;
    }
}
/* add resources and activities dialogue */
.jsenabled .choosercontainer #chooseform .alloptions {
    padding: 0 4%;
}

// Show legacy file manager file icons with consistent sizes
#page-files-index {
    img.smallicon {
        width: 24px;
        height: 24px;
    }
}
